Bug 841199 - Review Request: pyobd - OBD-II (SAE-J1979) compliant scantool software
Review Request: pyobd - OBD-II (SAE-J1979) compliant scantool software
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Vcelak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 07:57 EDT by Jaroslav Škarvada
Modified: 2013-03-03 20:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-23 19:26:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jvcelak: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2012-07-18 07:57:09 EDT
Spec URL: http://fedorapeople.org/~jskarvad/pyobd.spec
SRPM URL: http://fedorapeople.org/~jskarvad/pyobd-0.9.2.2-1.fc18.src.rpm
Description: pyOBD is an OBD-II (SAE-J1979) compliant scantool software written
entirely in Python. It is meant to interface with the low cost ELM 32x
devices such as ELM-USB.
Fedora Account System Username: jskarvad

rpmlint:
pyobd.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pyobd/obd_io.py
pyobd.noarch: E: incorrect-fsf-address /usr/bin/pyobd
pyobd.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pyobd/debugEvent.py
pyobd.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pyobd/obd2_codes.py
pyobd.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pyobd/obd_sensors.py
pyobd.noarch: E: incorrect-fsf-address /usr/share/doc/pyobd-0.9.2.2/COPYING

The problem seems to be in address (snail-mail), but in recent template there is URL instead. I will notify upstream about this problem, but probably I am not supposed to patch it (according to bug 700095 comment 1).

I made several changes (e.g. moved all support code to pyobd module) that I see as improvements (I will contact upstream about it).

Also it seems that upstream recently switched to some wacky numbering (i.e. pyobd-0.9.2-2). I transformed it to the quaternion (pyobd-0.9.2.2).
Comment 1 Jan Vcelak 2012-08-09 08:33:28 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.

     but incorrect FSF address, please, resolve with upstream

[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.

     Cannot check this, I do not have appropriate HW.

[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues
------

[!]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
     Please, provide some comment to the attached patch.

Rpmlint
-------
Checking: pyobd-0.9.2.2-1.fc16.src.rpm
          pyobd-0.9.2.2-1.fc16.noarch.rpm
pyobd.src: W: spelling-error Summary(en_US) scantool -> scan tool, scan-tool, scantly
pyobd.src: W: spelling-error %description -l en_US scantool -> scan tool, scan-tool, scantly
pyobd.noarch: W: spelling-error Summary(en_US) scantool -> scan tool, scan-tool, scantly
pyobd.noarch: W: spelling-error %description -l en_US scantool -> scan tool, scan-tool, scantly
pyobd.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pyobd/obd_io.py
pyobd.noarch: E: incorrect-fsf-address /usr/bin/pyobd
pyobd.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pyobd/debugEvent.py
pyobd.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pyobd/obd2_codes.py
pyobd.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/pyobd/obd_sensors.py
pyobd.noarch: E: incorrect-fsf-address /usr/share/doc/pyobd-0.9.2.2/COPYING
pyobd.noarch: W: no-manual-page-for-binary pyobd
2 packages and 0 specfiles checked; 6 errors, 5 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
pyobd-0.9.2.2-1.fc16.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    /usr/bin/env  
    pyserial  
    python(abi) = 2.7
    wxPython  

Provides
--------
pyobd-0.9.2.2-1.fc16.noarch.rpm:
    
    pyobd = 0.9.2.2-1.fc16

MD5-sum check
-------------
http://www.obdtester.com/download/pyobd_0.9.2-2.tar.gz :
  CHECKSUM(SHA256) this package     : 3edb646d2ab70c0ae0fab526d115f969422e20b681762dba1b83abda37aa95f0
  CHECKSUM(SHA256) upstream package : 3edb646d2ab70c0ae0fab526d115f969422e20b681762dba1b83abda37aa95f0


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 841199
External plugins:
Comment 2 Jaroslav Škarvada 2012-08-10 10:44:28 EDT
Thanks for review.

> but incorrect FSF address, please, resolve with upstream
Resolving (together with other enhancement patches), may take some time.

> Please, provide some comment to the attached patch.
There is already brief patch description:
# import from pyobd module
Patch0:         pyobd-0.9.2-pyobd-module.patch
I should be more verbose if required. This patch is also heading upstream (there is no upstream ticketing system to link).
Comment 3 Jan Vcelak 2012-08-10 13:56:26 EDT
OK. Approved.
Comment 4 Jaroslav Škarvada 2012-08-14 11:53:44 EDT
New Package SCM Request
=======================
Package Name: pyobd
Short Description: OBD-II (SAE-J1979) compliant scantool software
Owners: jskarvad
Branches: f16 f17
InitialCC:
Comment 5 Gwyn Ciesla 2012-08-14 19:51:13 EDT
Git done (by process-git-requests).

Added f18
Comment 6 Fedora Update System 2012-08-15 09:16:57 EDT
pyobd-0.9.2.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pyobd-0.9.2.2-1.fc17
Comment 7 Fedora Update System 2012-08-15 09:44:27 EDT
pyobd-0.9.2.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pyobd-0.9.2.2-1.fc16
Comment 8 Jaroslav Škarvada 2012-08-15 11:50:40 EDT
(In reply to comment #5)
> Git done (by process-git-requests).
> 
Thanks Jon.
Comment 9 Fedora Update System 2012-08-15 18:54:42 EDT
pyobd-0.9.2.2-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-08-23 19:26:06 EDT
pyobd-0.9.2.2-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2012-09-03 18:56:36 EDT
pyobd-0.9.2.2-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.